Bug 1890536 - Counter metrics are decreasing which should not be allowed
Summary: Counter metrics are decreasing which should not be allowed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Stephen Greene
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1890534
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-22 13:32 UTC by OpenShift BugZilla Robot
Modified: 2020-11-11 04:57 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 04:56:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 206 0 None closed [release-4.4] Bug 1890536: Fix decreasing counter metrics when reloading HAProxy 2020-12-07 09:40:40 UTC
Red Hat Product Errata RHBA-2020:4321 0 None None None 2020-11-11 04:57:01 UTC

Comment 3 Arvind iyengar 2020-10-30 11:37:29 UTC
Verified in "4.4.0-0.nightly-2020-10-28-183300" release version. With this payload, it is noted that the metric counters continue to increase or resets to zero during reload conditions but no decrements.

Comment 6 errata-xmlrpc 2020-11-11 04:56:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.30 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4321


Note You need to log in before you can comment on or make changes to this bug.